uk.ac.starlink.pal

## Class Galactic

- java.lang.Object
- - uk.ac.starlink.pal.Galactic

-     public class Galactic
      extends java.lang.Object

  Galactic longitude and latitude (radians)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Galactic(double a, double b)` Galactic longitude and latitude

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getLatitude()` Get the Latitude
    `double` | `getLongitude()` Get the Longitude
    `java.lang.String` | `toString()` Get the text form of the Galactic in the form [long,lat]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Galactic

          public Galactic(double a,
                          double b)

      Galactic longitude and latitude
      Parameters:
        `a` - Longitude in radians
        `b` - Latitude in radians

  - ### Method Detail

    - #### getLongitude

          public double getLongitude()

      Get the Longitude
      Returns:
        Longitude in radians

    - #### getLatitude

          public double getLatitude()

      Get the Latitude
      Returns:
        Latitude in radians

    - #### toString

          public java.lang.String toString()

      Get the text form of the Galactic in the form [long,lat]
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.